#
# spec file for package nagios-plugins (Version 1.4.13)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           nagios-plugins
Summary:        The Nagios Plug-Ins
Version:        1.4.13
Release:        2.5.66
Url:            http://nagiosplug.sourceforge.net/
License:        GPL v2 or later
Group:          System/Monitoring
BuildRequires:  bind-utils dhcp-devel fping iputils libsmbclient-devel
BuildRequires:  mysql-devel net-snmp-devel openldap2-devel openssh perl-Net-SNMP
BuildRequires:  gnutls-devel postfix postgresql-devel procps python-devel samba-client
%if 0%{?suse_version} > 1020
BuildRequires:  nagios-devel
%else
BuildRequires:  nagios
%endif
%if 0%{?suse_version}
%if 0%{?suse_version} > 1020
BuildRequires:  freeradius-client-devel
%else
BuildRequires:  freeradius-devel
%endif
%if 0%{?suse_version} < 1010
BuildRequires:  heimdal-devel
%else
BuildRequires:  krb5-devel syslog-ng
%endif
%else
BuildRequires:  krb5-devel
%endif
Source0:        nagios-plugins-%{version}.tar.bz2
Source10:       nagios-plugins.check_xenvm.sh
Source11:       nagios-plugins-permissions
Source12:       nagios-plugins-README.SuSE
Patch6:         nagios-plugins-1.4.6-no_chown.patch
Patch8:         nagios-plugins.ctypes.patch
Patch9:         nagios-plugins.check_dhcp-char.patch
Patch10:        nagios-plugins.asprintf.patch
Patch11:        nagios-plugins.check_snmp.arrayaddress.patch
Patch12:        nagios-plugins-postgresql.patch
Patch13:        nagios-plugins.negate.validate_arguments.patch
Patch14:        check_ntp_peer-buffer-overflow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl-Net-SNMP
%define         libexecdir %_prefix/lib/nagios/plugins

%description
These plug-ins are needed for Nagios checks.



Authors:
--------
    Karl DeBisschop <kdebisschop@users.sourceforge.net>
    and others

%package  extras
License:        GPL v2 or later
Summary:        Nagios Plug-Ins which Depend on Additional Packages
Group:          System/Monitoring
Requires:       %name net-snmp fping

%description extras
These are additional plug-ins for Nagios. They depend on other packages
which have to be installed.



Authors:
--------
    Karl DeBisschop <kdebisschop@users.sourceforge.net>
    and others

%prep
%setup -q
#%patch2
#%patch3
#%patch4
%patch6
%patch8 -p1
#%patch7
%patch9 -p1
%patch10 -p1
%patch11
%patch12
%patch13 -p1
%patch14

%build
export CFLAGS="%optflags -fno-strict-aliasing -DLDAP_DEPRECATED"
%configure \
	--libexecdir=%libexecdir \
	--with-cgiurl=/nagios/cgi-bin \
	--sysconfdir=%_sysconfdir/nagios \
	--enable-static=no \
	--with-fping-command=%_sbindir/fping \
    --with-apt-get-command=%_bindir/apt-get \
    --with-qstat-command=%_bindir/qstat \
    --with-rpcinfo-command=%_sbindir/rpcinfo \
    --with-mysql
	#--enable-perl-modules 
make all %{?jobs:-j%jobs}

%install
sed -i 's,^MKINSTALLDIRS.*,MKINSTALLDIRS = ../mkinstalldirs,' po/Makefile
%makeinstall
install -D -m 664 command.cfg %buildroot/%_sysconfdir/nagios/command.cfg
cp -avL %{S:10} $RPM_BUILD_ROOT%{libexecdir}/check_xenvm
%{__install} -m 0755 contrib/check_linux_raid.pl %{buildroot}%libexecdir/
%{__install} -m 0755 contrib/check_netapp.pl %{buildroot}%libexecdir/
pushd %buildroot/%libexecdir
for file in $(find -maxdepth 1 -type f); do
    sed -i 's|use lib "nagios/plugins".*;|use lib "%libexecdir";|g;
            s|use lib "/usr/local/nagios/libexec".*;|use lib "%libexecdir";|g' $file
done
popd
mkdir -p %buildroot/%_defaultdocdir/%{name}
install -Dm644 %{SOURCE11} %buildroot/%_defaultdocdir/%{name}/example/permissions.d/nagios-plugins
install -m644 ACKNOWLEDGEMENTS AUTHORS BUGS CODING COPYING ChangeLog NEWS README FAQ SUPPORT REQUIREMENTS THANKS LEGAL %buildroot/%_defaultdocdir/%{name}/
install -m644 %{SOURCE12} %buildroot/%_defaultdocdir/%{name}/
%find_lang %name

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc %_defaultdocdir/%{name}
%dir %_sysconfdir/nagios
%dir %_prefix/lib/nagios
%dir %libexecdir
%config(missingok,noreplace) %_sysconfdir/nagios/command.cfg
%defattr(0755,root,root)
%libexecdir/check_breeze
%libexecdir/check_by_ssh
%libexecdir/check_clamd
%libexecdir/check_cluster
# FIXME: add to /etc/permissins - check_dhcp seems to need this
# %attr(4755,root,root) %libexecdir/check_dhcp
%libexecdir/check_dhcp
%libexecdir/check_dig
%libexecdir/check_disk
%libexecdir/check_disk_smb
%libexecdir/check_dns
%libexecdir/check_dummy
%libexecdir/check_file_age
%libexecdir/check_flexlm
%libexecdir/check_ftp
%libexecdir/check_http
%libexecdir/check_icmp
%libexecdir/check_ide_smart
%libexecdir/check_ifoperstatus
%libexecdir/check_ifstatus
%libexecdir/check_imap
%libexecdir/check_ircd
%libexecdir/check_linux_raid.pl
%libexecdir/check_load
%libexecdir/check_log
%libexecdir/check_mailq
%libexecdir/check_mrtg
%libexecdir/check_mrtgtraf
%libexecdir/check_nagios
%libexecdir/check_netapp.pl
%libexecdir/check_nntp
%libexecdir/check_nt
%libexecdir/check_ntp
%libexecdir/check_ntp_peer
%libexecdir/check_ntp_time
%libexecdir/check_nwstat
%libexecdir/check_oracle
%libexecdir/check_overcr
%libexecdir/check_ping
%libexecdir/check_pop
%libexecdir/check_procs
%libexecdir/check_real
%libexecdir/check_rpc
%libexecdir/check_sensors
%libexecdir/check_smtp
%libexecdir/check_ssh
%libexecdir/check_swap
%libexecdir/check_tcp
%libexecdir/check_time
%libexecdir/check_udp
%libexecdir/check_ups
%libexecdir/check_users
%libexecdir/check_wave
%attr(0755,root,root) %libexecdir/check_xenvm
%libexecdir/negate
%libexecdir/urlize
%libexecdir/utils.sh
%attr(0644,root,root) %libexecdir/utils.pm

%files extras
%defattr(0755,root,root)
%libexecdir/check_fping
%libexecdir/check_hpjd
%libexecdir/check_ldap
%libexecdir/check_ldaps
%libexecdir/check_mysql
%libexecdir/check_mysql_query
%libexecdir/check_pgsql
#%libexecdir/check_radius
%libexecdir/check_snmp
%libexecdir/check_jabber
%libexecdir/check_nntps
%libexecdir/check_simap
%libexecdir/check_spop
%libexecdir/check_ssmtp
%libexecdir/check_apt
%libexecdir/check_game

%changelog
* Mon May 18 2009 ro@suse.de
- buildfix: buildrequire only nagios on sle10-sp3
  (devel split was after sles10)
* Fri May 15 2009 cschneemann@suse.de
- fixed buffer overflow in check_ntp_peer bnc#498669
* Wed Mar  4 2009 lrupp@suse.de
- added accidentally removed README and example again
* Thu Sep 25 2008 cschneemann@suse.de
- update to 1.4.13:
  + Fix Debian bug #460097: check_http --max-age broken (Hilko Bengen)
  + Fix Debian bug #479013: check_dig's -l is mandatory now
    (sf.net #1986306)
  + check_dig now returns CRITICAL instead of WARNING when no answer
    section is found
  + check_procs now captures stderr in external command and adds to
    plugin output
  + check_snmp now only prints perfdata for non numeric values
    (sf.net #1867716)
  + check_icmp now supports packet size modification
  + check_http -e now accepts a comma-delimited list of expected
    status codes (Sven Nierlein)
  + libtap now included with this distribution for easier testing.
    Run ./configure with --enable-libtap
  + check_ntp_peer/check_ntp_time used to show port in
  - -help but ignored the argument - now implemented
  + Fix possible segfault in check_ntp_peer with deliberately
    invalid packets
* Mon Sep 15 2008 lrupp@suse.de
- compile explicit without included regex
- add README about suid permissions
* Fri Jul 25 2008 lrupp@suse.de
- fix lib path for perl plugins
- add check_linux_raid.pl and check_netapp.pl
* Mon Jul 21 2008 lrupp@suse.de
- update to 1.4.12:
  + Fixed check_http regression in 1.4.10 where following
    redirects to relative URLs on virtual hosts failed if
    both "-H" and "-I" were used
  + Merged two new checks that deprecates check_ntp:
    check_ntp_peer and check_ntp_time.
    You should read the --help output so see which one is suitable
    for you.
  ++ check_ntp_peer implement stratum thresholds support
    (feature request nagios-bt#1703823).
  ++ check_ntp now returns UNKNOWN instead of WARNING if jitter
    is unavailable (jitter=-1.000000) as long as the thresholds
    range include -1. If no offset threshold is specified and the
    offset is unavailable, will return UNKNOWN as well.
  + Fixed broken usage2 in check_snmp and check_cluster
  + check_cluster now accepts all valid characters in
    its thresholds ("-", "@", "~")
  + Fixed check_disk reporting OK if disk usage grows
    over 100%% (nagios-bt#1348746).
  + Fixed check_load argument handling when not passing
    triplets (nagios-bt#1831890)
  + Fixed buffer overflow in check_snmp (CVE-2007-5623)
  + Tinderbox builds now runs tests in a verbose mode
  + Updated Nagios::Plugin to 0.22
  + VPATH problem fixed for compiling plugins-root
- disabled nagios-plugins-1.4.5-check_procs.c.patch (upstream has
  another solution)
- BuildRequires nagios-devel now
- package check_linux_raid
* Mon May  5 2008 olh@suse.de
- fix return type of validate_arguments() in negate.c
* Thu Apr 17 2008 max@suse.de
- NAMEDATALEN is defined in pg_config_manual.h in PostgreSQL 8.3.
* Mon Mar 10 2008 olh@suse.de
- add check_xenvm
  (from http://www.novell.com/coolsolutions/feature/19490.html)
* Wed Jan 30 2008 lrupp@suse.de
- enabled check_apt and check_game (in extras package)
- rpcinfo-, qstat- and apt-get-command need pathnames
  (to avoid extra BuildRequires)
- make all plugins executable
- package commands.cfg to /etc/nagios
- package CODING file in docdir
- check_radius is currently broken
- BuildRequire nagios-devel
- build parallel
- added gnutls to BuildRequires
* Fri Jan  4 2008 olh@suse.de
- update to version 1.4.11
  * Fix check_http regression in 1.4.10 where following redirects to
    relative URLs on virtual hosts failed if both "-H" and "-I" were used
  * check_ntp now return UNKNOWN instead of WARNING if jitter is unavailable (jitter=-1.000000)
    as long as the thresholds range inculde -1. If no offset threshold is specified
    and the offset is unavailable, will return UNKNOWN as well.
    NOTE: If jitter thresholds are specified as integers it will return CRITICAL if jitter
    is "-1" as the default range starts at 0. See Examples in --help output.
  * Fix broken usage2 in check_snmp and check_cluster
  * check_cluster now accept all valid characters in its thresholds ("-", "@", "~")
  * Merge two new checks that deprecates check_ntp: check_ntp_peer and check_ntp_time.
  * Fix check_disk reporting OK if disk usage grows over 100%% (bug #1348746).
    The problem happens to be in Gnulib but a workaround have been implemented in check_disk.c
  * Fix check_load argument handling when not passing triplets (bug #1831890)
* Fri Oct 26 2007 olh@suse.de
- fix possible buffer overflow in check_http with redirects (331728)
* Fri Oct 26 2007 olh@suse.de
- fix possible buffer overflow in check_snmp with snmpget replies (336002)
* Tue Oct 23 2007 olh@suse.de
- fix check_http Location: check (331728)
  use server IP address instead of hostname
* Mon Oct  8 2007 olh@suse.de
- fix check_http buffer overflow vulnerability when following HTTP
  redirects (331728)
* Thu Jan 11 2007 olh@suse.de
- FATE #301512
* Wed Jan 10 2007 olh@suse.de
- remove outdated and unused command.cfg
* Fri Nov 17 2006 tsieden@suse.de
- fix build
  * typos in check_http.c, check_icmp.c and check_ldap.c
  * added missing include to check_procs.c
  * fix more gcc warnings in check_fping.c, check_mysql.c and
    check_mysql_query.c
* Thu Nov 16 2006 tsieden@suse.de
- update to version 1.4.5
  * check_udp2 removed. check_udp is now linked to check_tcp.c
  * new check_apt plugin
  * new C based check_ntp. the perl version is now
    deprecated.
  * major bug fixes to check_disk where values were incorrectly
    calculated and alerted on.
  * check_mailq now errors if the sub-program run returns
    non-zero return code. this would appear as if mailqs were
    okay when the nagios user could not query the mail-queues
  * compile problems with check_snmp fixed
* Wed Jun 21 2006 stark@suse.de
- update to version 1.4.3
  * check_mysql_query added to run arbitrary SQL commands,
    with threshold checking
  * new check_clamd
* Fri Jun 16 2006 schwab@suse.de
- Fix syntax error in configure script.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 ro@suse.de
- added previously unpackaged symlinks to extras package
* Tue Oct 25 2005 rhafer@suse.de
- added LDAP_DEPRECATED to CFLAGS to build correctly with
  OpenLDAP 2.3
* Tue Sep 20 2005 stark@suse.de
- update to version 1.4.2
* Tue Aug  2 2005 stark@suse.de
- update to version 1.4.1
* Tue May 17 2005 stark@suse.de
- fixed overwriting a buffer
* Tue May 17 2005 stark@suse.de
- fixed ps syntax (bug 75699)
* Fri Feb  4 2005 stark@suse.de
- update to version 1.4
* Wed May 26 2004 ro@suse.de
- add some return values to non-void functions
* Thu Dec 18 2003 stark@suse.de
- adopted to new ping output format (iputils-ss021109) (#33710)
* Mon Nov 10 2003 ro@suse.de
- use net-snmp instead of ucdsnmp
* Fri Jul 18 2003 stark@suse.de
- update to 1.3.1
* Thu Jun 19 2003 stark@suse.de
- added missing directories to filelist
* Tue May 27 2003 stark@suse.de
- update to 1.3.0
  * added check_nt
* Mon Dec  2 2002 stark@suse.de
- update to 1.3.0beta2
  * included SNMPv3 patch
* Thu Nov 21 2002 ro@suse.de
- work around autoconf problem
* Wed Oct  9 2002 stark@suse.de
- added nagios to neededforbuild (Bug #20557)
* Sun Oct  6 2002 stark@suse.de
- moved Requires: perl-Net-SNMP from extras to "normal" package
  (Bug #20559)
- removed Requires: nagios because it is also possible
  to use it with nagios-nrpe
* Thu Aug  1 2002 ro@suse.de
- use openldap2 as neededforbuild
* Tue Jul  9 2002 stark@suse.de
- added patch to be able to connect via SNMPv3 (check_snmp)
* Mon Jul  1 2002 ro@suse.de
- find mysql on lib64
* Wed Jun 19 2002 stark@suse.de
- switched to nagiosplug 1.3beta1
  (is stated as beta but should be usable in almost all cases)
* Fri Jun 14 2002 stepan@suse.de
- add mysql-client to neededforbuild
* Mon Apr 29 2002 stark@suse.de
- changed Requires to nagios
* Tue Jan 15 2002 stark@suse.de
- fixed check_ping to fit new ping output (#12769)
* Wed Nov  7 2001 stark@suse.de
- use AM_INIT_AUTOMAKE
* Mon Aug 27 2001 ro@suse.de
- fix for current ping output (round-trip is called rtt now)
- bzip source
* Mon Jul 30 2001 stark@suse.de
- added openssl to #neededforbuild
* Fri Jul 27 2001 kukuk@suse.de
- change postgresql-lib -> postgresql-libs
* Mon Jul 16 2001 stark@suse.de
- added mysql-shared to #neededforbuild
* Tue Jul 10 2001 stark@suse.de
- package splitted (netsaint-plugins-extras for dependent functions
- added check_fping
* Mon Jul  9 2001 stark@suse.de
- fixed #ifdef in check_mrtg.c, check_nwstat.c, check_by_ssh.c
* Mon Jun 18 2001 stark@suse.de
- removed openldap-client from neededforbuild
* Mon May 14 2001 stark@suse.de
- update to release 1.2.9-4
* Thu Apr 19 2001 stark@suse.de
- initial package 1.2.9-3
